Yandex Cloud
Documentation
PresentationContact UsTry it for free
© 2026 Direct Cursus Technology L.L.C.
Yandex Managed Service for Valkey™
  • Getting started
  • Access management
  • Inspections and recommendations
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • Start
        • Stop
        • Move
        • Backup
        • Restore
        • RescheduleMaintenance
        • StartFailover
        • ListLogs
        • StreamLogs
        • ListOperations
        • ListBackups
        • ListHosts
        • AddHosts
        • DeleteHosts
        • UpdateHosts
        • GetShard
        • ListShards
        • AddShard
        • DeleteShard
        • Rebalance
        • EnableSharding
        • ListAccessBindings
        • SetAccessBindings
        • UpdateAccessBindings
  • Monitoring metrics
  • Audit Trails events
  • Public materials
  • Release notes
  • FAQ

In this article:

  • gRPC request
  • ListClusterShardsRequest
  • ListClusterShardsResponse
  • Shard
  1. API reference
  2. gRPC
  3. Cluster
  4. ListShards

Managed Service for Redis API, gRPC: ClusterService.ListShards

Written by
Yandex Cloud
Updated at October 7, 2026
View in Markdown
  • gRPC request
  • ListClusterShardsRequest
  • ListClusterShardsResponse
  • Shard

Retrieves a list of shards.

gRPC requestgRPC request

rpc ListShards (ListClusterShardsRequest) returns (ListClusterShardsResponse)

ListClusterShardsRequestListClusterShardsRequest

{
  "cluster_id": "string",
  "page_size": "int64",
  "page_token": "string"
}

Field

Description

cluster_id

string

Required field. ID of the Valkey cluster to list shards in.
To get the cluster ID use a ClusterService.List request.

The maximum string length in characters is 50.

page_size

int64

The maximum number of results per page to return. If the number of available
results is larger than page_size,
the service returns a ListClusterShardsResponse.next_page_token
that can be used to get the next page of results in subsequent list requests.

The maximum value is 1000.

page_token

string

Page token. To get the next page of results, set page_token to the
ListClusterShardsResponse.next_page_token returned by the previous list request.

The maximum string length in characters is 100.

ListClusterShardsResponseListClusterShardsResponse

{
  "shards": [
    {
      "name": "string",
      "cluster_id": "string",
      "is_ha": "bool"
    }
  ],
  "next_page_token": "string"
}

Field

Description

shards[]

Shard

List of Valkey shards.

next_page_token

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListClusterShardsRequest.page_size, use
the next_page_token as the value
for the ListClusterShardsRequest.page_token query parameter
in the next list request. Each subsequent list request will have its own
next_page_token to continue paging through the results.

ShardShard

Field

Description

name

string

Name of the Valkey shard. The shard name is assigned by user at creation time, and cannot be changed.
1-63 characters long.

cluster_id

string

ID of the Valkey cluster the shard belongs to. The ID is assigned by MDB at creation time.

is_ha

bool

Indicates whether the shard topology is highly available as defined by the Yandex Cloud SLA for managed databases.

Was the article helpful?

Previous
GetShard
Next
AddShard
© 2026 Direct Cursus Technology L.L.C.